# _dbiIndexItem Struct Reference
[DBI.]

A single item from an index database (i.e. More...

`#include <rpmdb.h>`

## Data Fields

unsigned int | hdrNum
unsigned int | tagNum
unsigned int | fpNum
unsigned int | dbNum

## Detailed Description

A single item from an index database (i.e.

the "data returned"). Note: In rpm-3.0.4 and earlier, this structure was passed by value, and was identical to the "data saved" structure below.

Definition at line 25 of file rpmdb.h.

## Field Documentation

unsigned int _dbiIndexItem::dbNum

database index

Definition at line 29 of file rpmdb.h.

unsigned int _dbiIndexItem::fpNum

finger print index

Definition at line 28 of file rpmdb.h.

Referenced by rpmdbFindFpList(), and rpmdbGrowIterator().

unsigned int _dbiIndexItem::hdrNum

header instance in db

Definition at line 26 of file rpmdb.h.

Referenced by dbiIndexRecordOffset(), dbiUpdateIndex(), rpmdbFindByFile(), and rpmdbFindFpList().

unsigned int _dbiIndexItem::tagNum

tag index in header

Definition at line 27 of file rpmdb.h.

Referenced by dbiIndexRecordFileNumber(), dbiUpdateIndex(), rpmdbAdd(), rpmdbFindByFile(), and rpmdbFindFpList().

The documentation for this struct was generated from the following file:

- rpmdb/rpmdb.h